Package com.avaya.clientservices.network.http

## Class CustomHttpClient

- java.lang.Object
- - org.apache.http.impl.client.AbstractHttpClient
  - - org.apache.http.impl.client.DefaultHttpClient
    - - com.avaya.clientservices.network.http.CustomHttpClient

- All Implemented Interfaces:
    `org.apache.http.client.HttpClient`

      public class CustomHttpClient
      extends org.apache.http.impl.client.DefaultHttpClient

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomHttpClient​(org.apache.http.conn.ClientConnectionManager cm, org.apache.http.params.BasicHttpParams params)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.http.HttpResponse` | `execute​(org.apache.http.client.methods.HttpUriRequest request, org.apache.http.protocol.HttpContext context, org.apache.http.Header proxyAuthHeader)` |
    `void` | `setProxyHeader​(org.apache.http.auth.AuthState authState, org.apache.http.Header header)` |

    - ### Methods inherited from class org.apache.http.impl.client.AbstractHttpClient

      `addRequestInterceptor, addRequestInterceptor, addResponseInterceptor, addResponseInterceptor, clearRequestInterceptors, clearResponseInterceptors, execute, execute, execute, execute, execute, execute, execute, execute, getAuthSchemes, getConnectionKeepAliveStrategy, getConnectionManager, getConnectionReuseStrategy, getCookieSpecs, getCookieStore, getCredentialsProvider, getHttpRequestRetryHandler, getParams, getProxyAuthenticationHandler, getRedirectHandler, getRequestExecutor, getRequestInterceptor, getRequestInterceptorCount, getResponseInterceptor, getResponseInterceptorCount, getRoutePlanner, getTargetAuthenticationHandler, getUserTokenHandler, removeRequestInterceptorByClass, removeResponseInterceptorByClass, setAuthSchemes, setCookieSpecs, setCookieStore, setCredentialsProvider, setHttpRequestRetryHandler, setKeepAliveStrategy, setParams, setProxyAuthenticationHandler, setRedirectHandler, setReuseStrategy, setRoutePlanner, setTargetAuthenticationHandler, setUserTokenHandler`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomHttpClient

          public CustomHttpClient​(org.apache.http.conn.ClientConnectionManager cm,
                                  org.apache.http.params.BasicHttpParams params)

  - ### Method Detail

    - #### execute

          public final org.apache.http.HttpResponse execute​(org.apache.http.client.methods.HttpUriRequest request,
                                                            org.apache.http.protocol.HttpContext context,
                                                            org.apache.http.Header proxyAuthHeader)
                                                     throws java.io.IOException,
                                                            org.apache.http.client.ClientProtocolException

      Throws:
        `java.io.IOException`
        `org.apache.http.client.ClientProtocolException`

    - #### setProxyHeader

          public void setProxyHeader​(org.apache.http.auth.AuthState authState,
                                     org.apache.http.Header header)